List invoices
GET
/v1/invoices
const url = 'https://api.meridiantrack.com/v1/invoices?limit=50';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.meridiantrack.com/v1/invoices?limit=50' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
cursor
string
status
string
Filter by invoice status
clientId
string
Filter by client ID
Responses
Section titled “Responses”List of invoices
Media typeapplication/json
object
items
Array<object>
object
id
string
invoiceNumber
integer
formattedInvoiceNumber
string
clientId
string
clientName
string
status
string
currency
string
issueDate
string
dueDate
string
subtotal
number
total
number
createdAt
string format: date-time
updatedAt
string format: date-time
nextCursor
Opaque cursor for the next page
string
hasMore
Whether more results exist
boolean
Example
{ "items": [ { "status": "draft" } ]}